/* CSS Styling for all admin pages.*/

@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');

/* All elements, body + html */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

html,
body {
    width: 100%;
    height: 100%;
}

body {
    display: flex;
    flex-flow: column;
    flex-grow: 1;
}

a {
    text-decoration: none;
}

/* Header */

section.header {
    height: 60px;
    width: 100%;
    display: flex;
    align-items: center;
    border-bottom: 2px solid #f1f1f1;

}

section.header>div.titleplate {
    display: flex;
    align-items: center;
    width: 300px;
    padding-left: 40px;
}

section.header>div.titleplate>i {
    margin-right: 20px;
}

section.header>div.titleplate>h2>span {
    color: #5073fb;
}

section.header>div.topbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: calc(100% - 300px);
    padding: 0 40px;
}

section.header>div.topbar>div.search {
    background-color: #f1f4f8;
    border-radius: 50px;
    width: 400px;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

section.header>div.topbar>div.search>input {
    background-color: transparent;
    outline: none;
    border: none;
    text-indent: 15px;
    width: 85%;
}

section.header>div.topbar>div.search>button {
    outline: none;
    border: none;
    border-radius: 50%;
    background-color: #fff;
    padding: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
}

section.header>div.topbar>div.search>button>i {
    font-size: 1.1rem;
    color: #5073fb;
}

section.header>div.topbar>div.notification--profile {
    display: flex;
    align-items: center;
}

section.header>div.topbar>div.notification--profile>div.picon.profile {
    margin-left: 20px;
    font-size: 1.1rem;
    padding: 5px;
    border-radius: 5px;

    position: relative;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    overflow: hidden;
}

section.header>div.topbar>div.notification--profile>div.picon.profile>img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Main Display */

section.main {
    display: flex;
    flex-grow: 1;
    height: 100%;
    width: 100%;
}

/* Main Display > Sidebar */

section.main>div.sidebar {
    height: 100%;
    width: 300px;
    background-color: #fff;
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-right: 2px solid #f1f1f1;
    transition: .3s;
}

section.main>div.sidebar.active {
    width: 100px;
    overflow: hidden;
}

section.main>div.sidebar>ul.sidebar--items,
section.main>div.sidebar>ul.sidebar--bottom-items {
    display: flex;
    flex-direction: column;
}

section.main>div.sidebar>ul.sidebar--items a,
section.main>div.sidebar>ul.sidebar--bottom-items a {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    font-size: 1.1rem;
    color: #000;
    padding: 10px;
    border-radius: 10px;
}

section.main>div.sidebar.active .sidebar--item {
    display: none;
}

section.main>div.sidebar.active .sidebar--item {
    display: none;
}

section.main>div.sidebar>ul.sidebar--items li , section.main>div.sidebar>ul.sidebar--bottom-items li {
    list-style: none;
}

section.main>div.sidebar>ul.sidebar--items a:hover,
section.main>div.sidebar>ul.sidebar--bottom-items a:hover {
    background-color: #5073fb;
    color: #fff;
}

section.main>div.sidebar>ul.sidebar--items a#active--link {
    background-color: #5073fb;
    color: #fff;
}

section.main>div.sidebar>ul.sidebar--bottom-items li:last-child a {
    margin-bottom: 0;
}

section.main>div.sidebar>ul.sidebar--items a .icon {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 20px;
    font-size: 1.3rem;
}


section.main>div.sidebar>ul.sidebar--items a#active--link .icon {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 20px;
    font-size: 1.3rem;
}

.icon-0 {
    color: #5073fb;
}

ul.sidebar--items a#active--link .icon-1 {
    color: #c5bc58;
}

ul.sidebar--items a#active--link .icon-2 {
    color: #a280e9;
}

ul.sidebar--items a#active--link .icon-3 {
    color: #85ade3;
}

ul.sidebar--items a#active--link .icon-5 {
    color: #70d7a5;
}

ul.sidebar--items a#active--link .icon-8 {
    color: #f1d243;
}

/* Main Display > Main Content */

.main--content {
    display: flex;
    flex-grow: 1;
    padding: 10px;
    overflow-y: scroll;
    transition: .3s;
}